Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#76 14-12-2010 18:32:12

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

Et franchement tu n'improvise pas tu ma bien aider je t'en remercie encore, surtout pour un débutant comme moi qui travail la plus part du tps sur un bébé debian comme ubuntu lool  !!:)

Hors ligne

#77 14-12-2010 18:33:36

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : Mise a jour d'un serveur debian 3.1

Que retourne

ls /var/cache/apt/archives/tzdata*


?

deamon974 a écrit :

Alala ce sarge pouquoi existe t'il ?:P


Pour l'apprentissage lol Et moi j'apprends aussi du coup wink

A l'époque c'était surement un bon système. Je trouve juste hallucinant que ta boite ne l'ai jamais mis a jour depuis le temps.

deamon974 a écrit :

Et franchement tu n'improvise pas tu ma bien aider je t'en remercie encore, surtout pour un débutant comme moi qui travail la plus part du tps sur un bébé debian comme ubuntu lool  !!:)


Si tu veux progresser installe une Debian a coté de ta *Buntu smile

Dernière modification par Clem (14-12-2010 18:36:03)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#78 14-12-2010 18:40:39

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

Clem a écrit :

Que retourne

ls /var/cache/apt/archives/tzdata*


Ce code ne retourne rien car il n'y à pas de tzdata dans /var/cahe/apt/archives.

# cd /var/cache/apt/archives/tzdata*
-bash: cd: /var/cache/apt/archives/tzdata*: No such file or directory

Hors ligne

#79 14-12-2010 18:45:07

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : Mise a jour d'un serveur debian 3.1

Essaye:

ls /var/cache/apt/archives/libc6*


Par ailleurs tzdata étant un fichier tu ne peut pas y aller ( cd = change directory wink )
Tu devrais faire:

cd /var/cache/apt/archives/
ls tzdata* libc6*

Dernière modification par Clem (14-12-2010 18:45:59)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#80 14-12-2010 18:51:06

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

Ben tzsata* ne retourne toujr rien

tice-vserver:/var/cache/apt/archives# ls -l libc6
ls: libc6: No such file or directory
tice-vserver:/var/cache/apt/archives# ls -l libc6*
-rw-r--r--  1 root root 2531876 Mar  6  2007 libc6-dev_2.3.2.ds1-22sarge6_i386.deb
-rw-r--r--  1 root root 4886322 Mar  6  2007 libc6_2.3.2.ds1-22sarge6_i386.deb
tice-vserver:/var/cache/apt/archives# ls -l tzdata*
ls: tzdata*: No such file or directory

Hors ligne

#81 14-12-2010 18:57:24

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : Mise a jour d'un serveur debian 3.1

A tester:

dpkg -i /var/cache/apt/archives/libc6_2.3.2.ds1-22sarge6_i386.deb


C'est une installation "à la main"

Hmrf je réfléchis ... neutral

Re edit=

A la lumiere de ça=

libc6-dev: Depends: libc6 (= 2.3.2.ds1-22sarge6) but 2.3.2.ds1-22 is installed
  locales: Depends: glibc-2.3.2.ds1-22sarge6


Je comprend qu'il faut:
1. Désinstaller la version actuelle de libc6 (comment sans faire de dégats neutral )
2. Réinstaller la version de Sarge.
3. Forcer l'installation de tzdata de Sarge en virant la version de Etch.

Pas évident ...

Au fait: maintenant que base-files est a jour que renvoi:

cat /etc/debian_version


#apt-get remove tzdata
#apt-get -t sarge -f install libc6 locales libc6-dev tzdata udev
#apt-get dist-upgrade

Dernière modification par Clem (14-12-2010 20:08:13)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#82 14-12-2010 21:43:02

eol
Membre
Inscription : 03-09-2009

Re : Mise a jour d'un serveur debian 3.1

Vous ne pensez pas qu'on pourrait forcer le passage en Etch
avec ajout de l'entrée adéquate dans /etc/apt/sources.list,
une augmentation de la taille du cache d'apt
( plus prudent avant de télécharger la liste entière des paquets d'une nouvelle version )
avec

APT::Cache-Limit "20000000";


dans /etc/apt/apt.conf ou /etc/apt/apt.conf.d/70debconf,
je ne sais pas trop lequel de ces fichiers existe dans Sarge,
puis

# apt-get update
# apt-get dist-upgrade


ça décoincerait peut-être le merdier.

Dernière modification par eol (14-12-2010 21:44:43)

Hors ligne

#83 14-12-2010 22:32:01

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : Mise a jour d'un serveur debian 3.1

eol a écrit :

Vous ne pensez pas qu'on pourrait forcer le passage en Etch


En fait il y a eu un retournement de situation ; la Sarge n'est pas à jour.

Enfin si deamon974 se sent près à faire le grand saut pourquoi pas et sachant que:

[center]1. libc6 locales libc6-dev tzdata sont cassés
2. udev est désinstallé
3. Le kernel est "bizarre".[/center]

Ouais pourquoi pas. Mais avec une palanquée de test avant quand même.

Des avis ? neutral

Dernière modification par Clem (14-12-2010 22:32:33)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#84 14-12-2010 22:41:36

eol
Membre
Inscription : 03-09-2009

Re : Mise a jour d'un serveur debian 3.1

Clem a écrit :

eol a écrit :

Vous ne pensez pas qu'on pourrait forcer le passage en Etch


En fait il y a eu un retournement de situation ; la Sarge n'est pas à jour.

Enfin si deamon974 se sent près à faire le grand saut pourquoi pas et sachant que:

[center]1. libc6 locales libc6-dev tzdata sont cassés
2. udev est désinstallé
3. Le kernel est "bizarre".[/center]


Oui, j'avais lu plus haut mais je pensais qu'un upgrade pourrait remettre les choses au propre.

Clem a écrit :

Ouais pourquoi pas. Mais avec une palanquée de test avant quand même.


C'est vrai, j'avais oublié les options de simulation.

Hors ligne

#85 15-12-2010 07:20:56

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

Bonjour

# cat /etc/debian_version
3.1


Je pense que si je peut faire ce apt-get dist-upgrade sans ces messages d'erreur cette version va enfin bouger

En ce qui concerne le paquet libc6 effectivement faudras faire très attention à pas créer un dommage colatérale lol:lol:

Hors ligne

#86 15-12-2010 07:26:35

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

On ne peut pas faire de upgrade

# apt-get upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
You might want to run `apt-get -f install' to correct these.
The following packages have unmet dependencies:
  libc6-dev: Depends: libc6 (= 2.3.2.ds1-22sarge6) but 2.3.2.ds1-22 is installed
  locales: Depends: glibc-2.3.2.ds1-22sarge6
E: Unmet dependencies. Try using -f.


le -f install boque aussi

# apt-get -f install
Reading Package Lists... Done
Building Dependency Tree... Done
Correcting dependencies... Done
The following extra packages will be installed:
  libc6
Suggested packages:
  glibc-doc
The following packages will be upgraded:
  libc6
1 upgraded, 0 newly installed, 0 to remove and 25 not upgraded.
3 not fully installed or removed.
Need to get 0B/4886kB of archives.
After unpacking 233kB disk space will be freed.
Do you want to continue? [Y/n]
(Reading database ... 33475 files and directories currently installed.)
Preparing to replace libc6 2.3.2.ds1-22 (using .../libc6_2.3.2.ds1-22sarge6_i386.deb) ...
Unpacking replacement libc6 ...
dpkg: error processing /var/cache/apt/archives/libc6_2.3.2.ds1-22sarge6_i386.deb (--unpack):
 trying to overwrite `/usr/share/zoneinfo/Africa/Algiers', which is also in package tzdata
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/libc6_2.3.2.ds1-22sarge6_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


En ce qui concerne le forcing voila ce qu'on me retourne.

apt-get -t sarge -f install libc6 locales libc6-dev tzdata udev
Reading Package Lists... Done
Building Dependency Tree... Done
locales is already the newest version.
libc6-dev is already the newest version.
tzdata is already the newest version.
udev is already the newest version.
Suggested packages:
  glibc-doc
The following packages will be upgraded:
  libc6
1 upgraded, 0 newly installed, 0 to remove and 25 not upgraded.
3 not fully installed or removed.
Need to get 0B/4886kB of archives.
After unpacking 233kB disk space will be freed.
(Reading database ... 33475 files and directories currently installed.)
Preparing to replace libc6 2.3.2.ds1-22 (using .../libc6_2.3.2.ds1-22sarge6_i386.deb) ...
Unpacking replacement libc6 ...
dpkg: error processing /var/cache/apt/archives/libc6_2.3.2.ds1-22sarge6_i386.deb (--unpack):
 trying to overwrite `/usr/share/zoneinfo/Africa/Algiers', which is also in package tzdata
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/libc6_2.3.2.ds1-22sarge6_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


tout sa en ayant ce sources.list

# cat sources.list

deb http://archive.debian.org/debian/ sarge main contrib non-free
#deb http://archive.debian.org/debian/ etch main contrib non-free


Et ce paquet de préférence

# cat preferences
Package: *
Pin: release a=oldstable
Pin-Priority: 990

Package: *
Pin: release a=stable
Pin-Priority: 10

Dernière modification par deamon974 (15-12-2010 07:31:39)

Hors ligne

#87 15-12-2010 08:38:47

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

Bonne nouvelle les amis j'ai pu mettre a jour la sarge !

Fran.b ma conseiller d'entrer ce code

dpkg -i --force-overwrite /var/cache/apt/archives/libc6_2.3.2.ds1-22sarge6_i386.deb


et comme part magie

# apt-get upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
The following packages will be upgraded:
  base-config dhcp-client exim4 exim4-base exim4-config exim4-daemon-light
  grub info libdevmapper1.01 libgcc1 libgnutls11 libpcre3 libssl0.9.7
  libtasn1-2 man-db passwd perl perl-base ppp ssh sudo tar util-linux vim
  vim-common
25 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
Need to get 16.5MB of archives.
After unpacking 224kB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://archive.debian.org sarge/main perl 5.8.4-8sarge6 [3239kB]
Get:2 http://archive.debian.org sarge/main perl-base 5.8.4-8sarge6 [753kB]
Get:3 http://archive.debian.org sarge/main tar 1.14-2.4 [501kB]
Get:4 http://archive.debian.org sarge/main util-linux 2.12p-4sarge2 [381kB]
Get:5 http://archive.debian.org sarge/main vim 1:6.3-071+1sarge3 [707kB]
Get:6 http://archive.debian.org sarge/main vim-common 1:6.3-071+1sarge3 [3425kB]
Get:7 http://archive.debian.org sarge/main libgcc1 1:3.4.3-13sarge1 [80.5kB]
Get:8 http://archive.debian.org sarge/main exim4-config 4.50-8sarge2 [243kB]
Get:9 http://archive.debian.org sarge/main exim4-base 4.50-8sarge2 [814kB]
Get:10 http://archive.debian.org sarge/main passwd 1:4.0.3-31sarge9 [529kB]
Get:11 http://archive.debian.org sarge/main libtasn1-2 0.2.10-3sarge1 [43.5kB]
Get:12 http://archive.debian.org sarge/main libgnutls11 1.0.16-13.2sarge2 [302kB]
Get:13 http://archive.debian.org sarge/main libpcre3 4.5+7.4-2 [184kB]
Get:14 http://archive.debian.org sarge/main exim4-daemon-light 4.50-8sarge2 [368kB]
Get:15 http://archive.debian.org sarge/main exim4 4.50-8sarge2 [1122B]
Get:16 http://archive.debian.org sarge/main info 4.7-2.2sarge2 [180kB]
Get:17 http://archive.debian.org sarge/main man-db 2.4.2-21sarge1 [580kB]
Get:18 http://archive.debian.org sarge/main libssl0.9.7 0.9.7e-3sarge5 [2194kB]
Get:19 http://archive.debian.org sarge/main ssh 1:3.8.1p1-8.sarge.6 [689kB]
Get:20 http://archive.debian.org sarge/main base-config 2.53.10.3 [296kB]
Get:21 http://archive.debian.org sarge/main dhcp-client 2.0pl5-19.1sarge3 [103kB]
Get:22 http://archive.debian.org sarge/main grub 0.95+cvs20040624-17sarge1 [353kB]
Get:23 http://archive.debian.org sarge/main libdevmapper1.01 2:1.01.00-4sarge1 [21.2kB]
Get:24 http://archive.debian.org sarge/main ppp 2.4.3-20050321+2sarge1 [324kB]
Get:25 http://archive.debian.org sarge/main sudo 1.6.8p7-1.4 [161kB]
Fetched 16.5MB in 1s (10.4MB/s)                              
Preconfiguring packages ...
(Reading database ... 33475 files and directories currently installed.)
Preparing to replace perl 5.8.4-8sarge3 (using .../perl_5.8.4-8sarge6_i386.deb) ...
Unpacking replacement perl ...
Preparing to replace perl-base 5.8.4-8sarge3 (using .../perl-base_5.8.4-8sarge6_i386.deb) ...
Unpacking replacement perl-base ...
Setting up perl-base (5.8.4-8sarge6) ...
(Reading database ... 33475 files and directories currently installed.)
Preparing to replace tar 1.14-2 (using .../archives/tar_1.14-2.4_i386.deb) ...
Unpacking replacement tar ...
Setting up tar (1.14-2.4) ...

(Reading database ... 33475 files and directories currently installed.)
Preparing to replace util-linux 2.12p-4sarge1 (using .../util-linux_2.12p-4sarge2_i386.deb) ...
Unpacking replacement util-linux ...
Setting up util-linux (2.12p-4sarge2) ...

(Reading database ... 33475 files and directories currently installed.)
Preparing to replace vim 1:6.3-071+1sarge1 (using .../vim_1%3a6.3-071+1sarge3_i386.deb) ...
Unpacking replacement vim ...
Preparing to replace vim-common 1:6.3-071+1sarge1 (using .../vim-common_1%3a6.3-071+1sarge3_all.deb) ...
Unpacking replacement vim-common ...
Preparing to replace libgcc1 1:3.4.3-13 (using .../libgcc1_1%3a3.4.3-13sarge1_i386.deb) ...
Unpacking replacement libgcc1 ...
Setting up libgcc1 (3.4.3-13sarge1) ...

(Reading database ... 33475 files and directories currently installed.)
Preparing to replace exim4-config 4.50-8 (using .../exim4-config_4.50-8sarge2_all.deb) ...
Unpacking replacement exim4-config ...
Preparing to replace exim4-base 4.50-8 (using .../exim4-base_4.50-8sarge2_i386.deb) ...
Unpacking replacement exim4-base ...
Preparing to replace passwd 1:4.0.3-31sarge5 (using .../passwd_1%3a4.0.3-31sarge9_i386.deb) ...
Unpacking replacement passwd ...
Setting up passwd (4.0.3-31sarge9) ...

(Reading database ... 33475 files and directories currently installed.)
Preparing to replace libtasn1-2 0.2.10-3 (using .../libtasn1-2_0.2.10-3sarge1_i386.deb) ...
Unpacking replacement libtasn1-2 ...
Preparing to replace libgnutls11 1.0.16-13.1 (using .../libgnutls11_1.0.16-13.2sarge2_i386.deb) ...
Unpacking replacement libgnutls11 ...
Preparing to replace libpcre3 4.5-1.2sarge1 (using .../libpcre3_4.5+7.4-2_i386.deb) ...
Unpacking replacement libpcre3 ...
Preparing to replace exim4-daemon-light 4.50-8 (using .../exim4-daemon-light_4.50-8sarge2_i386.deb) ...
Stopping MTA: exim4.
Unpacking replacement exim4-daemon-light ...
Preparing to replace exim4 4.50-8 (using .../exim4_4.50-8sarge2_all.deb) ...
Unpacking replacement exim4 ...
Preparing to replace info 4.7-2.2 (using .../info_4.7-2.2sarge2_i386.deb) ...
Unpacking replacement info ...
Preparing to replace man-db 2.4.2-21 (using .../man-db_2.4.2-21sarge1_i386.deb) ...
Unpacking replacement man-db ...
Preparing to replace libssl0.9.7 0.9.7e-3sarge1 (using .../libssl0.9.7_0.9.7e-3sarge5_i386.deb) ...
Unpacking replacement libssl0.9.7 ...
Preparing to replace ssh 1:3.8.1p1-8.sarge.4 (using .../ssh_1%3a3.8.1p1-8.sarge.6_i386.deb) ...
Unpacking replacement ssh ...
Preparing to replace base-config 2.53.10 (using .../base-config_2.53.10.3_all.deb) ...
Unpacking replacement base-config ...
Preparing to replace dhcp-client 2.0pl5-19.1 (using .../dhcp-client_2.0pl5-19.1sarge3_i386.deb) ...
Unpacking replacement dhcp-client ...
Preparing to replace grub 0.95+cvs20040624-17 (using .../grub_0.95+cvs20040624-17sarge1_i386.deb) ...
Unpacking replacement grub ...
Preparing to replace libdevmapper1.01 2:1.01.00-4 (using .../libdevmapper1.01_2%3a1.01.00-4sarge1_i386.deb) ...
Unpacking replacement libdevmapper1.01 ...
Preparing to replace ppp 2.4.3-20050321+2 (using .../ppp_2.4.3-20050321+2sarge1_i386.deb) ...
Unpacking replacement ppp ...
Preparing to replace sudo 1.6.8p7-1.3 (using .../sudo_1.6.8p7-1.4_i386.deb) ...
Unpacking replacement sudo ...
Setting up libc6-dev (2.3.2.ds1-22sarge6) ...
Setting up locales (2.3.2.ds1-22sarge6) ...
Generating locales...
  en_US.UTF-8... done
  fr_FR.ISO-8859-1... done
  fr_FR.ISO-8859-15@euro... done
  fr_FR.UTF-8... done
Generation complete.

Setting up exim4-config (4.50-8sarge2) ...

Setting up exim4-base (4.50-8sarge2) ...

Setting up libtasn1-2 (0.2.10-3sarge1) ...

Setting up libgnutls11 (1.0.16-13.2sarge2) ...

Setting up libpcre3 (4.5+7.4-2) ...

Setting up exim4-daemon-light (4.50-8sarge2) ...
Starting MTA: exim4.

Setting up exim4 (4.50-8sarge2) ...
Setting up info (4.7-2.2sarge2) ...

Setting up man-db (2.4.2-21sarge1) ...

Setting up libssl0.9.7 (0.9.7e-3sarge5) ...

Setting up ssh (3.8.1p1-8.sarge.6) ...
Restarting OpenBSD Secure Shell server: sshd.

Setting up base-config (2.53.10.3) ...

Setting up dhcp-client (2.0pl5-19.1sarge3) ...

Setting up grub (0.95+cvs20040624-17sarge1) ...
Setting up libdevmapper1.01 (1.01.00-4sarge1) ...
Creating device-mapper devices...done.

Setting up ppp (2.4.3-20050321+2sarge1) ...

Setting up sudo (1.6.8p7-1.4) ...

Setting up perl-modules (5.8.4-8sarge6) ...
Setting up vim-common (6.3-071+1sarge3) ...
Setting up vim (6.3-071+1sarge3) ...

Setting up perl (5.8.4-8sarge6)


Mais le le debian version reste toujours la 3.1

& par la suite avec un dist-upgrade

# apt-get dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


Maintenant la question ce pose:

Je peut mettre la source list de etch en place?

Si oui faut t'il que je modifie mon fichier de preférence ?

Dernière modification par deamon974 (15-12-2010 08:41:11)

Hors ligne

#88 15-12-2010 11:40:15

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : Mise a jour d'un serveur debian 3.1

smile
Ouf! C'est débloqué.

deamon974 a écrit :

Bonne nouvelle les amis j'ai pu mettre a jour la sarge !
Fran.b ma conseiller d'entrer ce code

dpkg -i --force-overwrite /var/cache/apt/archives/libc6_2.3.2.ds1-22sarge6_i386.deb


et comme part magie
Mais le le debian version reste toujours la 3.1


Une commande qui est amplement commentée dans "Les cahiers de l'admin'", je l'avais zappée.

deamon974 a écrit :

Mais le le debian version reste toujours la 3.1

& par la suite avec un dist-upgrade

# apt-get dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


La Sarge est vraiment à jour maintenant.
Par contre véfifie que la machine marche bien, que les périphériques sont toujours bien reconnus ... etc ...

deamon974 a écrit :

Je peut mettre la source list de etch en place?
Si oui faut t'il que je modifie mon fichier de preférence ?


Tu peux garder ce sources.list:

deb http://archive.debian.org/debian/ sarge main contrib non-free
deb http://archive.debian.org/debian/ etch main contrib non-free


Juste en décommentant ( enlève le # en début de ligne).

En fait ton fichier préférence ne sert à rien (celui que tu as donne une priorité à Etch ). Ce seront toujours les version les plus réçentes qui seront installées par défaut, celles de Etch. Garde le si tu veux il n'impactera pas sur les mises à jour.

Pour l'upgrade de Etch procede de la même façon:

#apt-get update
#apt-get -s dist-upgrade
(pour voir si la migration peut se faire
et dans ce cas:)
#apt-get dist-upgrade
#apt-get upgrade


Poste le retour des simulations avant de te lancer.
@+

Dernière modification par Clem (15-12-2010 11:40:59)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#89 15-12-2010 12:11:06

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

# apt-get -s dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
The following packages will be REMOVED:
  base-config libnewt0.51 netkit-inetd ntp-server udev
The following NEW packages will be installed:
  cpp-4.1 dctrl-tools debian-archive-keyring dmidecode file gcc-4.1
  gcc-4.1-base gettext gnupg gpgv intltool-debian laptop-detect libdb4.3
  libdb4.4 libdevmapper1.02 libedit2 libgnutls13 libkrb53 libldap2 libmagic1
  libncursesw5 libnewt0.52 libpcap0.8 libpci2 libreadline5 libsasl2-2
  libselinux1 libsepol1 libsigc++-2.0-0c2a libslang2 libssl0.9.8 libssp0
  libstdc++6 libtasn1-3 libvolume-id0 lsb-base mktemp modconf openbsd-inetd
  openssh-blacklist openssh-client openssh-server po-debconf readline-common
  sysvinit-utils tasksel-data update-inetd vim-runtime
The following packages have been kept back:
  util-vserver
The following packages will be upgraded:
  adduser apt apt-show-versions apt-utils aptitude at base-files base-passwd
  bash binutils bsdmainutils bsdutils bzip2 console-common console-data
  console-tools coreutils cpio cpp cpp-3.3 cron dash debconf debconf-i18n
  debianutils debootstrap dhcp-client discover1 discover1-data dpkg dpkg-dev
  dselect e2fslibs e2fsprogs eject exim4 exim4-base exim4-config
  exim4-daemon-light fdutils findutils gcc gcc-3.3 gcc-3.3-base gettext-base
  grep grep-dctrl groff-base grub gzip hostname hotplug ifupdown info
  initrd-tools initscripts iproute iptables iputils-ping kernel-package klogd
  less libacl1 libapt-pkg-perl libattr1 libblkid1 libbz2-1.0 libc6 libc6-dev
  libcomerr2 libconsole libdb1-compat libdb3 libdb4.2 libdiscover1 libgcc1
  libgcrypt11 libgdbm3 libgpg-error0 libgpmg1 liblocale-gettext-perl
  liblockfile1 liblzo1 libncurses5 libncurses5-dev libopencdk8 libpam-modules
  libpam-runtime libpam0g libpcre3 libpopt0 libss2 libssl0.9.7 libstdc++5
  libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl libtextwrap1
  libusb-0.1-4 libuuid1 libwrap0 linux-kernel-headers locales login logrotate
  lsof lvm-common lvm2 mailx make makedev man-db manpages module-init-tools
  modutils mount nano ncftp ncurses-base ncurses-bin net-tools netbase ntp
  ntp-simple ntpdate nvi passwd patch pciutils perl perl-base perl-modules ppp
  pppconfig pppoe pppoeconf procps psmisc sed ssh sudo sysklogd sysv-rc
  sysvinit tar tasksel tcpd telnet usbutils util-linux vim vim-common wget
  whiptail zlib1g
155 upgraded, 48 newly installed, 5 to remove and 1 not upgraded.
Remv base-config (2.53.10.3 )
Remv initrd-tools (0.1.84.2 Debian:4.0r9/oldstable) [kernel-image-2.6.8-2-386 kernel-image-2.6.12+vserver kernel-image-2.6.15+vserver ]
Inst libc6 [2.3.2.ds1-22sarge6] (2.3.6.ds1-13etch10+b1 Debian:4.0r9/oldstable) [kernel-image-2.6.8-2-386 locales libc6-dev kernel-image-2.6.12+vserver kernel-image-2.6.15+vserver ]
Conf libc6 (2.3.6.ds1-13etch10+b1 Debian:4.0r9/oldstable) [kernel-image-2.6.8-2-386 locales libc6-dev kernel-image-2.6.12+vserver kernel-image-2.6.15+vserver ]
Inst libsepol1 (1.14-2 Debian:4.0r9/oldstable) [kernel-image-2.6.8-2-386 locales libc6-dev kernel-image-2.6.12+vserver kernel-image-2.6.15+vserver ]
Conf libsepol1 (1.14-2 Debian:4.0r9/oldstable) [kernel-image-2.6.8-2-386 locales libc6-dev kernel-image-2.6.12+vserver kernel-image-2.6.15+vserver ]
Inst libdevmapper1.02 (2:1.02.08-1 Debian:4.0r9/oldstable) [kernel-image-2.6.8-2-386 locales libc6-dev kernel-image-2.6.12+vserver kernel-image-2.6.15+vserver ]
Inst initrd-tools [0.1.81.1] (0.1.84.2 Debian:4.0r9/oldstable) [locales libc6-dev ]
Inst libselinux1 (1.32-3 Debian:4.0r9/oldstable) [locales libc6-dev ]
Conf libselinux1 (1.32-3 Debian:4.0r9/oldstable) [locales libc6-dev ]
Inst libc6-dev [2.3.2.ds1-22sarge6] (2.3.6.ds1-13etch10+b1 Debian:4.0r9/oldstable) [locales ]
Inst locales [2.3.2.ds1-22sarge6] (2.3.6.ds1-13etch10 Debian:4.0r9/oldstable)
Inst coreutils [5.2.1-2] (5.97-5.3 Debian:4.0r9/oldstable)
Conf coreutils (5.97-5.3 Debian:4.0r9/oldstable)
Inst cpio [2.5-1.3] (2.6-18.1+etch1 Debian:4.0r9/oldstable)
Inst dash [0.5.2-5] (0.5.3-7 Debian:4.0r9/oldstable)
Inst sed [4.1.2-8] (4.1.5-1 Debian:4.0r9/oldstable)
Conf sed (4.1.5-1 Debian:4.0r9/oldstable)
Inst linux-kernel-headers [2.5.999-test7-bk-17] (2.6.18-7 Debian:4.0r9/oldstable)
Inst libncurses5-dev [5.4-4] (5.5-5 Debian:4.0r9/oldstable) []
Inst libncurses5 [5.4-4] (5.5-5 Debian:4.0r9/oldstable)
Conf libncurses5 (5.5-5 Debian:4.0r9/oldstable)
Inst ncurses-bin [5.4-4] (5.5-5 Debian:4.0r9/oldstable)
Conf ncurses-bin (5.5-5 Debian:4.0r9/oldstable)
Inst lsb-base (3.1-23.2etch1 Debian:4.0r9/oldstable)
Conf lsb-base (3.1-23.2etch1 Debian:4.0r9/oldstable)
Inst libslang2 (2.0.6-4 Debian:4.0r9/oldstable)
Conf libslang2 (2.0.6-4 Debian:4.0r9/oldstable)
Inst util-linux [2.12p-4sarge2] (2.12r-19etch1 Debian:4.0r9/oldstable)
Conf util-linux (2.12r-19etch1 Debian:4.0r9/oldstable)
Inst perl-modules [5.8.4-8sarge6] (5.8.8-7etch6 Debian:4.0r9/oldstable) []
Inst libdb4.4 (4.4.20-8 Debian:4.0r9/oldstable) []
Inst libgdbm3 [1.8.3-2] (1.8.3-3 Debian:4.0r9/oldstable) []
Inst perl-base [5.8.4-8sarge6] (5.8.8-7etch6 Debian:4.0r9/oldstable) [perl ]
Conf perl-base (5.8.8-7etch6 Debian:4.0r9/oldstable) [perl ]
Inst perl [5.8.4-8sarge6] (5.8.8-7etch6 Debian:4.0r9/oldstable)
Inst liblocale-gettext-perl [1.01-17] (1.05-1 Debian:4.0r9/oldstable)
Inst libtext-iconv-perl [1.2-3] (1.4-3 Debian:4.0r9/oldstable)
Inst libtext-charwidth-perl [0.04-1] (0.04-4 Debian:4.0r9/oldstable)
Inst libtext-wrapi18n-perl [0.06-1] (0.06-5 Debian:4.0r9/oldstable)
Inst debconf-i18n [1.4.30.13] (1.5.11etch2 Debian:4.0r9/oldstable)
Inst debconf [1.4.30.13] (1.5.11etch2 Debian:4.0r9/oldstable)
Inst whiptail [0.51.6-20] (0.52.2-10+etch1 Debian:4.0r9/oldstable) []
Remv libnewt0.51 (0.51.6-20 ) []
Inst libnewt0.52 (0.52.2-10+etch1 Debian:4.0r9/oldstable) []
Inst libpopt0 [1.7-5] (1.10-3 Debian:4.0r9/oldstable)
Inst net-tools [1.60-10] (1.60-17 Debian:4.0r9/oldstable)
Inst ifupdown [0.6.7] (0.6.8 Debian:4.0r9/oldstable)
Inst libwrap0 [7.6.dbs-8] (7.6.dbs-13 Debian:4.0r9/oldstable)
Inst netbase [4.21] (4.29 Debian:4.0r9/oldstable) []
Inst update-inetd (4.27-0.5 Debian:4.0r9/oldstable) []
Inst tcpd [7.6.dbs-8] (7.6.dbs-13 Debian:4.0r9/oldstable) []
Remv netkit-inetd (0.10-10 ) []
Inst openbsd-inetd (0.20050402-6 Debian:4.0r9/oldstable)
Inst iputils-ping [3:20020927-2] (3:20020927-6 Debian:4.0r9/oldstable)
Inst mktemp (1.5-2 Debian:4.0r9/oldstable)
Conf mktemp (1.5-2 Debian:4.0r9/oldstable)
Inst debianutils [2.8.4] (2.17 Debian:4.0r9/oldstable)
Conf debianutils (2.17 Debian:4.0r9/oldstable)
Inst libdb4.3 (4.3.29-8 Debian:4.0r9/oldstable)
Inst libgpg-error0 [1.0-1] (1.4-1 Debian:4.0r9/oldstable)
Inst libgcrypt11 [1.2.0-11.1] (1.2.3-2 Debian:4.0r9/oldstable)
Inst zlib1g [1:1.2.2-4.sarge.2] (1:1.2.3-13 Debian:4.0r9/oldstable)
Conf zlib1g (1:1.2.3-13 Debian:4.0r9/oldstable)
Inst libopencdk8 [0.5.5-10] (0.5.9-2 Debian:4.0r9/oldstable)
Inst libtasn1-3 (0.3.6-2 Debian:4.0r9/oldstable)
Inst liblzo1 [1.08-1.2] (1.08-3 Debian:4.0r9/oldstable)
Inst libgnutls13 (1.4.4-3+etch5 Debian:4.0r9/oldstable)
Inst libpcre3 [4.5+7.4-2] (6.7+7.4-4 Debian:4.0r9/oldstable)
Inst exim4-daemon-light [4.50-8sarge2] (4.63-17 Debian:4.0r9/oldstable) []
Inst libpam-runtime [0.76-22] (0.79-5+etch1 Debian:4.0r9/oldstable) []
Conf libpam-runtime (0.79-5+etch1 Debian:4.0r9/oldstable) []
Inst libpam0g [0.76-22] (0.79-5+etch1 Debian:4.0r9/oldstable) []
Conf libpam0g (0.79-5+etch1 Debian:4.0r9/oldstable) []
Inst cron [3.0pl1-86] (3.0pl1-100 Debian:4.0r9/oldstable) []
Inst exim4-config [4.50-8sarge2] (4.63-17 Debian:4.0r9/oldstable) []
Inst exim4-base [4.50-8sarge2] (4.63-17 Debian:4.0r9/oldstable)
Inst libpam-modules [0.76-22] (0.79-5+etch1 Debian:4.0r9/oldstable)
Conf libdb4.3 (4.3.29-8 Debian:4.0r9/oldstable)
Conf libpam-modules (0.79-5+etch1 Debian:4.0r9/oldstable)
Inst login [1:4.0.3-31sarge9] (1:4.0.18.1-7+etch1 Debian:4.0r9/oldstable)
Conf login (1:4.0.18.1-7+etch1 Debian:4.0r9/oldstable)
Inst passwd [1:4.0.3-31sarge9] (1:4.0.18.1-7+etch1 Debian:4.0r9/oldstable)
Conf passwd (1:4.0.18.1-7+etch1 Debian:4.0r9/oldstable)
Inst adduser [3.63] (3.102 Debian:4.0r9/oldstable)
Inst readline-common (5.2-2 Debian:4.0r9/oldstable)
Inst libreadline5 (5.2-2 Debian:4.0r9/oldstable)
Inst libssl0.9.8 (0.9.8c-4etch9 Debian:4.0r9/oldstable)
Remv ntp-server (1:4.2.0a+stable-2sarge1 ) [ntp-simple ]
Inst ntp-simple [1:4.2.0a+stable-2sarge1] (1:4.2.2.p4+dfsg-2etch4 Debian:4.0r9/oldstable) []
Inst ntp [1:4.2.0a+stable-2sarge1] (1:4.2.2.p4+dfsg-2etch4 Debian:4.0r9/oldstable)
Remv udev (0.105-4etch1 Debian:4.0r9/oldstable)
Inst base-passwd [3.5.9] (3.5.11 Debian:4.0r9/oldstable)
Conf base-passwd (3.5.11 Debian:4.0r9/oldstable)
Inst base-files [3.1.2] (4 Debian:4.0r9/oldstable)
Conf base-files (4 Debian:4.0r9/oldstable)
Inst bash [2.05b-26] (3.1dfsg-8 Debian:4.0r9/oldstable)
Conf bash (3.1dfsg-8 Debian:4.0r9/oldstable)
Inst bsdutils [1:2.12p-4sarge2] (1:2.12r-19etch1 Debian:4.0r9/oldstable)
Conf bsdutils (1:2.12r-19etch1 Debian:4.0r9/oldstable)
Inst dpkg [1.10.28] (1.13.26 Debian:4.0r9/oldstable)
Conf dpkg (1.13.26 Debian:4.0r9/oldstable)
Inst e2fslibs [1.37-2sarge1] (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable) [e2fsprogs on e2fslibs] [e2fsprogs ]
Conf e2fslibs (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable) [e2fsprogs ]
Inst e2fsprogs [1.37-2sarge1] (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable)
Conf e2fsprogs (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable)
Inst findutils [4.1.20-6] (4.2.28-1etch1 Debian:4.0r9/oldstable)
Conf findutils (4.2.28-1etch1 Debian:4.0r9/oldstable)
Inst grep [2.5.1.ds1-4] (2.5.1.ds2-6 Debian:4.0r9/oldstable)
Conf grep (2.5.1.ds2-6 Debian:4.0r9/oldstable)
Inst gzip [1.3.5-10sarge2] (1.3.5-15+etch1 Debian:4.0r9/oldstable)
Conf gzip (1.3.5-15+etch1 Debian:4.0r9/oldstable)
Inst hostname [2.13] (2.93 Debian:4.0r9/oldstable)
Conf hostname (2.93 Debian:4.0r9/oldstable)
Inst mount [2.12p-4sarge2] (2.12r-19etch1 Debian:4.0r9/oldstable)
Conf mount (2.12r-19etch1 Debian:4.0r9/oldstable)
Inst sysv-rc [2.86.ds1-1] (2.86.ds1-38+etchnhalf.1 Debian:4.0r9/oldstable)
Conf sysv-rc (2.86.ds1-38+etchnhalf.1 Debian:4.0r9/oldstable)
Inst sysvinit-utils (2.86.ds1-38+etchnhalf.1 Debian:4.0r9/oldstable)
Conf sysvinit-utils (2.86.ds1-38+etchnhalf.1 Debian:4.0r9/oldstable)
Inst sysvinit [2.86.ds1-1] (2.86.ds1-38+etchnhalf.1 Debian:4.0r9/oldstable)
Conf sysvinit (2.86.ds1-38+etchnhalf.1 Debian:4.0r9/oldstable)
Inst tar [1.14-2.4] (1.16-2etch1 Debian:4.0r9/oldstable)
Conf tar (1.16-2etch1 Debian:4.0r9/oldstable)
Inst ncurses-base [5.4-4] (5.5-5 Debian:4.0r9/oldstable)
Conf ncurses-base (5.5-5 Debian:4.0r9/oldstable)
Inst console-data [2002.12.04dbs-49] (2:1.01-7 Debian:4.0r9/oldstable)
Inst console-tools [1:0.2.3dbs-56] (1:0.2.3dbs-65 Debian:4.0r9/oldstable) []
Inst libconsole [1:0.2.3dbs-56] (1:0.2.3dbs-65 Debian:4.0r9/oldstable)
Conf liblocale-gettext-perl (1.05-1 Debian:4.0r9/oldstable)
Conf libtext-iconv-perl (1.4-3 Debian:4.0r9/oldstable)
Conf libtext-charwidth-perl (0.04-4 Debian:4.0r9/oldstable)
Conf libtext-wrapi18n-perl (0.06-5 Debian:4.0r9/oldstable)
Conf debconf-i18n (1.5.11etch2 Debian:4.0r9/oldstable)
Conf debconf (1.5.11etch2 Debian:4.0r9/oldstable)
Inst console-common [0.7.49] (0.7.69 Debian:4.0r9/oldstable)
Inst module-init-tools [3.2-pre1-2] (3.3-pre4-2 Debian:4.0r9/oldstable)
Inst modutils [2.4.26-1.2] (2.4.27.0-6 Debian:4.0r9/oldstable)
Inst lvm-common [1.5.17] (1.5.20 Debian:4.0r9/oldstable)
Inst lvm2 [2.01.04-5] (2.02.06-4etch1 Debian:4.0r9/oldstable)
Inst gcc-4.1-base (4.1.1-21 Debian:4.0r9/oldstable)
Inst libgcc1 [1:3.4.3-13sarge1] (1:4.1.1-21 Debian:4.0r9/oldstable)
Conf gcc-4.1-base (4.1.1-21 Debian:4.0r9/oldstable)
Conf libgcc1 (1:4.1.1-21 Debian:4.0r9/oldstable)
Inst libstdc++6 (4.1.1-21 Debian:4.0r9/oldstable)
Conf libstdc++6 (4.1.1-21 Debian:4.0r9/oldstable)
Inst libdb4.2 [4.2.52-18] (4.2.52+dfsg-2 Debian:4.0r9/oldstable)
Inst libsasl2-2 (2.1.22.dfsg1-8+etch1 Debian:4.0r9/oldstable)
Inst libldap2 (2.1.30-13.3 Debian:4.0r9/oldstable)
Inst libusb-0.1-4 [2:0.1.10a-9.sarge.1] (2:0.1.12-5 Debian:4.0r9/oldstable)
Inst gpgv (1.4.6-2+etch1 Debian:4.0r9/oldstable)
Inst libbz2-1.0 [1.0.2-7] (1.0.3-6 Debian:4.0r9/oldstable)
Inst makedev [2.3.1-77] (2.3.1-83 Debian:4.0r9/oldstable)
Inst gnupg (1.4.6-2+etch1 Debian:4.0r9/oldstable)
Inst debian-archive-keyring (2009.01.31 Debian:4.0r9/oldstable)
Conf libbz2-1.0 (1.0.3-6 Debian:4.0r9/oldstable)
Conf libgpg-error0 (1.4-1 Debian:4.0r9/oldstable)
Conf libgcrypt11 (1.2.3-2 Debian:4.0r9/oldstable)
Conf liblzo1 (1.08-3 Debian:4.0r9/oldstable)
Conf libopencdk8 (0.5.9-2 Debian:4.0r9/oldstable)
Conf libtasn1-3 (0.3.6-2 Debian:4.0r9/oldstable)
Conf libgnutls13 (1.4.4-3+etch5 Debian:4.0r9/oldstable)
Conf libdb4.2 (4.2.52+dfsg-2 Debian:4.0r9/oldstable)
Conf libsasl2-2 (2.1.22.dfsg1-8+etch1 Debian:4.0r9/oldstable)
Conf libldap2 (2.1.30-13.3 Debian:4.0r9/oldstable)
Conf readline-common (5.2-2 Debian:4.0r9/oldstable)
Conf libreadline5 (5.2-2 Debian:4.0r9/oldstable)
Conf libusb-0.1-4 (2:0.1.12-5 Debian:4.0r9/oldstable)
Conf gpgv (1.4.6-2+etch1 Debian:4.0r9/oldstable)
Conf makedev (2.3.1-83 Debian:4.0r9/oldstable)
Conf gnupg (1.4.6-2+etch1 Debian:4.0r9/oldstable)
Conf debian-archive-keyring (2009.01.31 Debian:4.0r9/oldstable)
Inst apt-utils [0.5.28.6] (0.6.46.4-0.1+etch1 Debian:4.0r9/oldstable) []
Inst libncursesw5 (5.5-5 Debian:4.0r9/oldstable) []
Inst libsigc++-2.0-0c2a (2.0.17-2 Debian:4.0r9/oldstable) []
Inst aptitude [0.2.15.9-2] (0.4.4-4 Debian:4.0r9/oldstable) []
Inst libapt-pkg-perl [0.1.13] (0.1.20 Debian:4.0r9/oldstable) []
Inst apt [0.5.28.6] (0.6.46.4-0.1+etch1 Debian:4.0r9/oldstable)
Conf apt (0.6.46.4-0.1+etch1 Debian:4.0r9/oldstable)
Inst dselect [1.10.28] (1.13.26 Debian:4.0r9/oldstable)
Conf dselect (1.13.26 Debian:4.0r9/oldstable)
Inst initscripts [2.86.ds1-1] (2.86.ds1-38+etchnhalf.1 Debian:4.0r9/oldstable)
Conf initscripts (2.86.ds1-38+etchnhalf.1 Debian:4.0r9/oldstable)
Inst libattr1 [2.4.16-1] (2.4.32-1 Debian:4.0r9/oldstable)
Inst libacl1 [2.2.23-1] (2.2.41-1 Debian:4.0r9/oldstable)
Conf libattr1 (2.4.32-1 Debian:4.0r9/oldstable)
Conf libacl1 (2.2.41-1 Debian:4.0r9/oldstable)
Inst libblkid1 [1.37-2sarge1] (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable)
Conf libdevmapper1.02 (2:1.02.08-1 Debian:4.0r9/oldstable)
Conf libblkid1 (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable)
Inst libcomerr2 [1.37-2sarge1] (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable)
Conf libcomerr2 (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable)
Inst libss2 [1.37-2sarge1] (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable)
Conf libss2 (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable)
Inst libuuid1 [1.37-2sarge1] (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable)
Conf libuuid1 (1.39+1.40-WIP-2006.11.14+dfsg-2etch1 Debian:4.0r9/oldstable)
Inst binutils [2.15-6] (2.17-3+etch1 Debian:4.0r9/oldstable)
Inst gcc-3.3 [1:3.3.5-13] (1:3.3.6-15 Debian:4.0r9/oldstable) []
Inst cpp-3.3 [1:3.3.5-13] (1:3.3.6-15 Debian:4.0r9/oldstable) []
Inst gcc-3.3-base [1:3.3.5-13] (1:3.3.6-15 Debian:4.0r9/oldstable)
Inst libstdc++5 [1:3.3.5-13] (1:3.3.6-15 Debian:4.0r9/oldstable)
Conf gcc-3.3-base (1:3.3.6-15 Debian:4.0r9/oldstable)
Conf libstdc++5 (1:3.3.6-15 Debian:4.0r9/oldstable)
Inst bsdmainutils [6.0.17] (6.1.6 Debian:4.0r9/oldstable)
Inst dmidecode (2.8-4 Debian:4.0r9/oldstable)
Inst groff-base [1.18.1.1-7] (1.18.1.1-12 Debian:4.0r9/oldstable)
Inst info [4.7-2.2sarge2] (4.8.dfsg.1-4 Debian:4.0r9/oldstable)
Inst iptables [1.2.11-10] (1.3.6.0debian1-5 Debian:4.0r9/oldstable)
Inst sysklogd [1.4.1-17] (1.4.1-18 Debian:4.0r9/oldstable)
Inst klogd [1.4.1-17] (1.4.1-18 Debian:4.0r9/oldstable)
Inst laptop-detect (0.12.1 Debian:4.0r9/oldstable)
Inst logrotate [3.7-5] (3.7.1-3 Debian:4.0r9/oldstable)
Inst man-db [2.4.2-21sarge1] (2.4.3-6 Debian:4.0r9/oldstable)
Inst manpages [1.70-1] (2.39-1 Debian:4.0r9/oldstable)
Inst nano [1.2.4-5] (2.0.2-1etch1 Debian:4.0r9/oldstable)
Inst tasksel [2.24] (2.66 Debian:4.0r9/oldstable) []
Inst tasksel-data (2.66 Debian:4.0r9/oldstable)
Remv vim (1:7.0-122+1etch5 Debian:4.0r9/oldstable) [vim-common ]
Inst vim-common [1:6.3-071+1sarge3] (1:7.0-122+1etch5 Debian:4.0r9/oldstable)
Inst vim [1:6.3-071+1sarge3] (1:7.0-122+1etch5 Debian:4.0r9/oldstable) []
Inst vim-runtime (1:7.0-122+1etch5 Debian:4.0r9/oldstable)
Inst libgpmg1 [1.19.6-19sarge1] (1.19.6-25 Debian:4.0r9/oldstable)
Inst wget [1.9.1-12] (1.10.2-2+etch1 Debian:4.0r9/oldstable)
Inst procps [1:3.2.1-2] (1:3.2.7-3 Debian:4.0r9/oldstable)
Inst at [3.1.8-11] (3.1.10 Debian:4.0r9/oldstable)
Inst exim4 [4.50-8sarge2] (4.63-17 Debian:4.0r9/oldstable)
Inst libmagic1 (4.17-5etch3 Debian:4.0r9/oldstable)
Inst file (4.17-5etch3 Debian:4.0r9/oldstable)
Inst gettext-base [0.14.4-2] (0.16.1-1 Debian:4.0r9/oldstable)
Inst less [382-1] (394-4 Debian:4.0r9/oldstable)
Inst libkrb53 (1.4.4-7etch8 Debian:4.0r9/oldstable)
Inst liblockfile1 [1.06] (1.06.1 Debian:4.0r9/oldstable)
Inst lsof [4.74.dfsg.3-2] (4.77.dfsg.1-3 Debian:4.0r9/oldstable)
Inst mailx [1:8.1.2-0.20040524cvs-4] (1:8.1.2-0.20050715cvs-1 Debian:4.0r9/oldstable)
Inst openssh-blacklist (0.1.1 Debian:4.0r9/oldstable)
Inst ssh [1:3.8.1p1-8.sarge.6] (1:4.3p2-9etch3 Debian:4.0r9/oldstable) []
Inst openssh-server (1:4.3p2-9etch3 Debian:4.0r9/oldstable) []
Inst libedit2 (2.9.cvs.20050518-2.2 Debian:4.0r9/oldstable) []
Inst openssh-client (1:4.3p2-9etch3 Debian:4.0r9/oldstable)
Inst patch [2.5.9-2] (2.5.9-4 Debian:4.0r9/oldstable)
Inst pciutils [1:2.1.11-15] (1:2.2.4~pre4-1 Debian:4.0r9/oldstable) []
Inst libpci2 (2:2.1.11-3 Debian:4.0r9/oldstable)
Inst telnet [0.17-29] (0.17-34 Debian:4.0r9/oldstable)
Inst apt-show-versions [0.08] (0.10 Debian:4.0r9/oldstable)
Inst bzip2 [1.0.2-7] (1.0.3-6 Debian:4.0r9/oldstable)
Inst cpp-4.1 (4.1.1-21 Debian:4.0r9/oldstable)
Inst cpp [4:3.3.5-3] (4:4.1.1-15 Debian:4.0r9/oldstable)
Inst grep-dctrl [2.1.11] (2.9.3 Debian:4.0r9/oldstable) []
Inst dctrl-tools (2.9.3 Debian:4.0r9/oldstable)
Inst discover1-data [1.2005.01.08] (2.2007.02.02 Debian:4.0r9/oldstable)
Inst libdiscover1 [1.7.7] (1.7.19 Debian:4.0r9/oldstable)
Inst discover1 [1.7.7] (1.7.19 Debian:4.0r9/oldstable)
Inst make [3.80-9] (3.81-2 Debian:4.0r9/oldstable)
Inst dpkg-dev [1.10.28] (1.13.26 Debian:4.0r9/oldstable)
Inst eject [2.0.13deb-8sarge2] (2.1.4-3 Debian:4.0r9/oldstable)
Inst fdutils [5.4-20040228-1] (5.5-20060227-1.1 Debian:4.0r9/oldstable)
Inst libssp0 (4.1.1-21 Debian:4.0r9/oldstable)
Inst gcc-4.1 (4.1.1-21 Debian:4.0r9/oldstable)
Inst gcc [4:3.3.5-3] (4:4.1.1-15 Debian:4.0r9/oldstable)
Inst gettext (0.16.1-1 Debian:4.0r9/oldstable)
Inst grub [0.95+cvs20040624-17sarge1] (0.97-27etch1 Debian:4.0r9/oldstable)
Inst hotplug [0.0.20040329-22] (0.0.20040329-26 Debian:4.0r9/oldstable)
Inst intltool-debian (0.35.0+20060710.1 Debian:4.0r9/oldstable)
Inst iproute [20041019-3] (20061002-3 Debian:4.0r9/oldstable)
Inst po-debconf (1.0.8 Debian:4.0r9/oldstable)
Inst kernel-package [8.135] (10.067 Debian:4.0r9/oldstable)
Inst libdb3 [3.2.9-22] (3.2.9+dfsg-0.1 Debian:4.0r9/oldstable)
Inst libpcap0.8 (0.9.5-1 Debian:4.0r9/oldstable)
Inst libtextwrap1 [0.1-1] (0.1-5 Debian:4.0r9/oldstable)
Inst libvolume-id0 (0.105-4etch1 Debian:4.0r9/oldstable)
Inst modconf (0.3.1 Debian:4.0r9/oldstable)
Inst ncftp [2:3.1.8-1] (2:3.2.0-1 Debian:4.0r9/oldstable)
Inst ntpdate [1:4.2.0a+stable-2sarge1] (1:4.2.2.p4+dfsg-2etch4 Debian:4.0r9/oldstable)
Inst nvi [1.79-22] (1.79-25 Debian:4.0r9/oldstable)
Inst ppp [2.4.3-20050321+2sarge1] (2.4.4rel-8 Debian:4.0r9/oldstable)
Inst pppconfig [2.3.11] (2.3.15.etch1 Debian:4.0r9/oldstable)
Inst pppoe [3.5-4] (3.8-1.1 Debian:4.0r9/oldstable)
Inst pppoeconf [1.7] (1.13 Debian:4.0r9/oldstable)
Inst psmisc [21.5-1] (22.3-1 Debian:4.0r9/oldstable)
Inst sudo [1.6.8p7-1.4] (1.6.8p12-4 Debian:4.0r9/oldstable)
Inst usbutils [0.70-8] (0.72-7 Debian:4.0r9/oldstable)
Inst debootstrap [0.3.3] (0.3.3.2etch1 Debian:4.0r9/oldstable)
Inst dhcp-client [2.0pl5-19.1sarge3] (2.0pl5-19.5etch2 Debian:4.0r9/oldstable)
Inst libdb1-compat [2.1.3-7] (2.1.3-9 Debian:4.0r9/oldstable)
Inst libssl0.9.7 [0.9.7e-3sarge5] (0.9.7k-3.1etch5 Debian:4.0r9/oldstable)
Conf cpio (2.6-18.1+etch1 Debian:4.0r9/oldstable)
Conf dash (0.5.3-7 Debian:4.0r9/oldstable)
Conf initrd-tools (0.1.84.2 Debian:4.0r9/oldstable)
Conf linux-kernel-headers (2.6.18-7 Debian:4.0r9/oldstable)
Conf libc6-dev (2.3.6.ds1-13etch10+b1 Debian:4.0r9/oldstable)
Conf locales (2.3.6.ds1-13etch10 Debian:4.0r9/oldstable)
Conf libncurses5-dev (5.5-5 Debian:4.0r9/oldstable)
Conf libdb4.4 (4.4.20-8 Debian:4.0r9/oldstable)
Conf libgdbm3 (1.8.3-3 Debian:4.0r9/oldstable)
Conf perl (5.8.8-7etch6 Debian:4.0r9/oldstable)
Conf perl-modules (5.8.8-7etch6 Debian:4.0r9/oldstable)
Conf libnewt0.52 (0.52.2-10+etch1 Debian:4.0r9/oldstable)
Conf libpopt0 (1.10-3 Debian:4.0r9/oldstable)
Conf whiptail (0.52.2-10+etch1 Debian:4.0r9/oldstable)
Conf net-tools (1.60-17 Debian:4.0r9/oldstable)
Conf ifupdown (0.6.8 Debian:4.0r9/oldstable)
Conf libwrap0 (7.6.dbs-13 Debian:4.0r9/oldstable)
Conf update-inetd (4.27-0.5 Debian:4.0r9/oldstable)
Conf tcpd (7.6.dbs-13 Debian:4.0r9/oldstable)
Conf openbsd-inetd (0.20050402-6 Debian:4.0r9/oldstable)
Conf iputils-ping (3:20020927-6 Debian:4.0r9/oldstable)
Conf netbase (4.29 Debian:4.0r9/oldstable)
Conf libpcre3 (6.7+7.4-4 Debian:4.0r9/oldstable)
Conf adduser (3.102 Debian:4.0r9/oldstable)
Conf cron (3.0pl1-100 Debian:4.0r9/oldstable)
Conf exim4-config (4.63-17 Debian:4.0r9/oldstable)
Conf exim4-base (4.63-17 Debian:4.0r9/oldstable)
Conf exim4-daemon-light (4.63-17 Debian:4.0r9/oldstable)
Conf libssl0.9.8 (0.9.8c-4etch9 Debian:4.0r9/oldstable)
Conf ntp (1:4.2.2.p4+dfsg-2etch4 Debian:4.0r9/oldstable)
Conf ntp-simple (1:4.2.2.p4+dfsg-2etch4 Debian:4.0r9/oldstable)
Conf console-data (2:1.01-7 Debian:4.0r9/oldstable)
Conf libconsole (1:0.2.3dbs-65 Debian:4.0r9/oldstable)
Conf console-tools (1:0.2.3dbs-65 Debian:4.0r9/oldstable)
Conf console-common (0.7.69 Debian:4.0r9/oldstable)
Conf module-init-tools (3.3-pre4-2 Debian:4.0r9/oldstable)
Conf modutils (2.4.27.0-6 Debian:4.0r9/oldstable)
Conf lvm-common (1.5.20 Debian:4.0r9/oldstable)
Conf lvm2 (2.02.06-4etch1 Debian:4.0r9/oldstable)
Conf apt-utils (0.6.46.4-0.1+etch1 Debian:4.0r9/oldstable)
Conf libncursesw5 (5.5-5 Debian:4.0r9/oldstable)
Conf libsigc++-2.0-0c2a (2.0.17-2 Debian:4.0r9/oldstable)
Conf aptitude (0.4.4-4 Debian:4.0r9/oldstable)
Conf libapt-pkg-perl (0.1.20 Debian:4.0r9/oldstable)
Conf binutils (2.17-3+etch1 Debian:4.0r9/oldstable)
Conf cpp-3.3 (1:3.3.6-15 Debian:4.0r9/oldstable)
Conf gcc-3.3 (1:3.3.6-15 Debian:4.0r9/oldstable)
Conf bsdmainutils (6.1.6 Debian:4.0r9/oldstable)
Conf dmidecode (2.8-4 Debian:4.0r9/oldstable)
Conf groff-base (1.18.1.1-12 Debian:4.0r9/oldstable)
Conf info (4.8.dfsg.1-4 Debian:4.0r9/oldstable)
Conf iptables (1.3.6.0debian1-5 Debian:4.0r9/oldstable)
Conf klogd (1.4.1-18 Debian:4.0r9/oldstable)
Conf sysklogd (1.4.1-18 Debian:4.0r9/oldstable)
Conf laptop-detect (0.12.1 Debian:4.0r9/oldstable)
Conf logrotate (3.7.1-3 Debian:4.0r9/oldstable)
Conf man-db (2.4.3-6 Debian:4.0r9/oldstable)
Conf manpages (2.39-1 Debian:4.0r9/oldstable)
Conf nano (2.0.2-1etch1 Debian:4.0r9/oldstable)
Conf tasksel-data (2.66 Debian:4.0r9/oldstable)
Conf tasksel (2.66 Debian:4.0r9/oldstable)
Conf vim-common (1:7.0-122+1etch5 Debian:4.0r9/oldstable)
Conf vim-runtime (1:7.0-122+1etch5 Debian:4.0r9/oldstable)
Conf libgpmg1 (1.19.6-25 Debian:4.0r9/oldstable)
Conf vim (1:7.0-122+1etch5 Debian:4.0r9/oldstable)
Conf wget (1.10.2-2+etch1 Debian:4.0r9/oldstable)
Conf procps (1:3.2.7-3 Debian:4.0r9/oldstable)
Conf at (3.1.10 Debian:4.0r9/oldstable)
Conf exim4 (4.63-17 Debian:4.0r9/oldstable)
Conf libmagic1 (4.17-5etch3 Debian:4.0r9/oldstable)
Conf file (4.17-5etch3 Debian:4.0r9/oldstable)
Conf gettext-base (0.16.1-1 Debian:4.0r9/oldstable)
Conf less (394-4 Debian:4.0r9/oldstable)
Conf libkrb53 (1.4.4-7etch8 Debian:4.0r9/oldstable)
Conf liblockfile1 (1.06.1 Debian:4.0r9/oldstable)
Conf lsof (4.77.dfsg.1-3 Debian:4.0r9/oldstable)
Conf mailx (1:8.1.2-0.20050715cvs-1 Debian:4.0r9/oldstable)
Conf openssh-blacklist (0.1.1 Debian:4.0r9/oldstable)
Conf libedit2 (2.9.cvs.20050518-2.2 Debian:4.0r9/oldstable)
Conf openssh-client (1:4.3p2-9etch3 Debian:4.0r9/oldstable)
Conf openssh-server (1:4.3p2-9etch3 Debian:4.0r9/oldstable)
Conf ssh (1:4.3p2-9etch3 Debian:4.0r9/oldstable)
Conf patch (2.5.9-4 Debian:4.0r9/oldstable)
Conf libpci2 (2:2.1.11-3 Debian:4.0r9/oldstable)
Conf pciutils (1:2.2.4~pre4-1 Debian:4.0r9/oldstable)
Conf telnet (0.17-34 Debian:4.0r9/oldstable)
Conf apt-show-versions (0.10 Debian:4.0r9/oldstable)
Conf bzip2 (1.0.3-6 Debian:4.0r9/oldstable)
Conf cpp-4.1 (4.1.1-21 Debian:4.0r9/oldstable)
Conf cpp (4:4.1.1-15 Debian:4.0r9/oldstable)
Conf dctrl-tools (2.9.3 Debian:4.0r9/oldstable)
Conf grep-dctrl (2.9.3 Debian:4.0r9/oldstable)
Conf discover1-data (2.2007.02.02 Debian:4.0r9/oldstable)
Conf libdiscover1 (1.7.19 Debian:4.0r9/oldstable)
Conf discover1 (1.7.19 Debian:4.0r9/oldstable)
Conf make (3.81-2 Debian:4.0r9/oldstable)
Conf dpkg-dev (1.13.26 Debian:4.0r9/oldstable)
Conf eject (2.1.4-3 Debian:4.0r9/oldstable)
Conf fdutils (5.5-20060227-1.1 Debian:4.0r9/oldstable)
Conf libssp0 (4.1.1-21 Debian:4.0r9/oldstable)
Conf gcc-4.1 (4.1.1-21 Debian:4.0r9/oldstable)
Conf gcc (4:4.1.1-15 Debian:4.0r9/oldstable)
Conf gettext (0.16.1-1 Debian:4.0r9/oldstable)
Conf grub (0.97-27etch1 Debian:4.0r9/oldstable)
Conf hotplug (0.0.20040329-26 Debian:4.0r9/oldstable)
Conf intltool-debian (0.35.0+20060710.1 Debian:4.0r9/oldstable)
Conf iproute (20061002-3 Debian:4.0r9/oldstable)
Conf po-debconf (1.0.8 Debian:4.0r9/oldstable)
Conf kernel-package (10.067 Debian:4.0r9/oldstable)
Conf libdb3 (3.2.9+dfsg-0.1 Debian:4.0r9/oldstable)
Conf libpcap0.8 (0.9.5-1 Debian:4.0r9/oldstable)
Conf libtextwrap1 (0.1-5 Debian:4.0r9/oldstable)
Conf libvolume-id0 (0.105-4etch1 Debian:4.0r9/oldstable)
Conf modconf (0.3.1 Debian:4.0r9/oldstable)
Conf ncftp (2:3.2.0-1 Debian:4.0r9/oldstable)
Conf ntpdate (1:4.2.2.p4+dfsg-2etch4 Debian:4.0r9/oldstable)
Conf nvi (1.79-25 Debian:4.0r9/oldstable)
Conf ppp (2.4.4rel-8 Debian:4.0r9/oldstable)
Conf pppconfig (2.3.15.etch1 Debian:4.0r9/oldstable)
Conf pppoe (3.8-1.1 Debian:4.0r9/oldstable)
Conf pppoeconf (1.13 Debian:4.0r9/oldstable)
Conf psmisc (22.3-1 Debian:4.0r9/oldstable)
Conf sudo (1.6.8p12-4 Debian:4.0r9/oldstable)
Conf usbutils (0.72-7 Debian:4.0r9/oldstable)
Conf debootstrap (0.3.3.2etch1 Debian:4.0r9/oldstable)
Conf dhcp-client (2.0pl5-19.5etch2 Debian:4.0r9/oldstable)
Conf libdb1-compat (2.1.3-9 Debian:4.0r9/oldstable)
Conf libssl0.9.7 (0.9.7k-3.1etch5 Debian:4.0r9/oldstable)


Voila donc le résultat de -s dist-upgrade

Ma question est comment peut t'on remarquer que cela n'es pas possible enfin comment voir les érreurs sur le retour de cette commande?

Hors ligne

#90 15-12-2010 13:03:23

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : Mise a jour d'un serveur debian 3.1

deamon974 a écrit :

Ma question est comment peut t'on remarquer que cela n'es pas possible enfin comment voir les érreurs sur le retour de cette commande?


Personnellement je m'inquiète de la quantité de paquets qui vont être supprimés.
Ici ça va: (mais )

deamon974 a écrit :

# apt-get -s dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
The following packages will be REMOVED:
  base-config libnewt0.51 netkit-inetd ntp-server udev


... mais ... Il faut aussi prendre en compte les paquets critiques.
Et voir udev et base-config ( ntp-server aussi d'ailleurs ) ca m'inquiète.
Pour avoir une vue précise de ce qui bloque ces paquet il faut se fier aux dépendances qu'ils ont et j'analyserai le retour de:

#apt-get -t sarge -s install udev


Et je nz sais pas ce que c'est que ça:

The following packages have been kept back:
  util-vserver


Mais sur un serveur ça m'inquieterai.

#apt-cache policy util-vserver


#apt-get -t sarge -s install util-vserver


Mais je dirais qu'au pire des cas, tu pourras le réinstaller après.

Au fait, le DD n'est pas encore plein:

df -h


Et ou en es tu niveau noyau ? [Edit= Fixed]

Edit=
Sinon de ce coté c'est rassurant:

deamon974 a écrit :

Inst libc6 [2.3.2.ds1-22sarge6] (2.3.6.ds1-13etch10+b1 Debian:4.0r9/oldstable) [kernel-image-2.6.8-2-386 locales libc6-dev kernel-image-2.6.12+vserver kernel-image-2.6.15+vserver ]
Conf libc6 (2.3.6.ds1-13etch10+b1 Debian:4.0r9/oldstable) [kernel-image-2.6.8-2-386 locales libc6-dev kernel-image-2.6.12+vserver kernel-image-2.6.15+vserver ]
[ ...]
Inst libdevmapper1.02 (2:1.02.08-1 Debian:4.0r9/oldstable) [kernel-image-2.6.8-2-386 locales libc6-dev kernel-image-2.6.12+vserver kernel-image-2.6.15+vserver ]

Dernière modification par Clem (15-12-2010 13:49:51)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#91 15-12-2010 14:53:44

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

Voici le retour des commande

# apt-get -t sarge -s install udev
Reading Package Lists... Done
Building Dependency Tree... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
  kernel-image-2.6.12+vserver: Depends: initrd-tools (>= 0.1.48) but it is not going to be installed
  kernel-image-2.6.15+vserver: Depends: initrd-tools (>= 0.1.48) but it is not going to be installed
  kernel-image-2.6.8-2-386: Depends: initrd-tools (>= 0.1.63) but it is not going to be installed
  udev: Depends: libc6 (>= 2.3.6-6) but 2.3.2.ds1-22sarge6 is to be installed
        Depends: libselinux1 (>= 1.32) but it is not going to be installed
        Depends: libvolume-id0 (>= 0.103-1) but it is not going to be installed
        Depends: lsb-base (>= 3.0-6) but it is not going to be installed
        Conflicts: hotplug but 0.0.20040329-22 is to be installed
        Conflicts: module-init-tools (< 3.2.2-1) but 3.2-pre1-2 is to be installed
        Conflicts: makedev (< 2.3.1-80) but 2.3.1-77 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).


Pas très content ce sarge tongue

# apt-cache policy vserver
vserver:
  Installed: (none)
  Candidate: (none)
  Version Table:


ce qui est bisar hmm

vserver-stat
CTX   PROC    VSZ    RSS  userTIME   sysTIME    UPTIME NAME
0       59  52.6M    18M   0m32s99   0m07s63   2h28m18 root server
49152   29 494.5M 196.1M   0m03s11   0m00s55   2h27m48 tice-bdd
49153    6  14.5M   5.4M   0m00s10   0m00s00   2h27m49 tice-uportal
49154   10 492.8M  32.6M   0m00s31   0m00s20   2h27m48 tice-anwrt


# apt-get -t sarge -s install vserver
Reading Package Lists... Done
Building Dependency Tree... Done
Package vserver is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  util-vserver
E: Package vserver has no installation candidate


Et pour finir

# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda3             897M  107M  743M  13% /
tmpfs                1014M     0 1014M   0% /dev/shm
/dev/mapper/rootvg-homelv
                      1.9G   22M  1.8G   2% /home
/dev/mapper/rootvg-usrlv
                      3.0G  553M  2.3G  20% /usr
/dev/mapper/rootvg-varlv
                      3.0G  118M  2.7G   5% /var
/dev/mapper/rootvg-vserverslv
                      9.9G  8.4G  1.1G  90% /vservers
tmpfs                  10M  2.7M  7.4M  27% /dev


Je continue sa demain les amis

finalement c'est plutôt

# apt-cache policy util-vserver
util-vserver:
  Installed: 0.30.209-0.riseup.1
  Candidate: 0.30.212-1
  Version Table:
     0.30.212-1 0
        990 http://archive.debian.org etch/main Packages
 *** 0.30.209-0.riseup.1 0
        100 /var/lib/dpkg/status
     0.30.204-5sarge3 0
        990 http://archive.debian.org sarge/main Packages

Hors ligne

#92 15-12-2010 19:46:03

eol
Membre
Inscription : 03-09-2009

Re : Mise a jour d'un serveur debian 3.1

Clem a écrit :

Personnellement je m'inquiète de la quantité de paquets qui vont être supprimés.
Ici ça va: (mais )

deamon974 a écrit :

# apt-get -s dist-upgrade
Reading Package Lists... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
The following packages will be REMOVED:
  base-config libnewt0.51 netkit-inetd ntp-server udev


... mais ... Il faut aussi prendre en compte les paquets critiques.
Et voir udev et base-config ( ntp-server aussi d'ailleurs ) ca m'inquiète.


Les 5 paquets qui seront supprimés peuvent être réinstallés dans leur version Etch dans la foulée, non ?

Hors ligne

#93 15-12-2010 21:51:31

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : Mise a jour d'un serveur debian 3.1

C'est ce que je me disais aussi.
Il ne faut juste pas les oublier quoi tongue

Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#94 16-12-2010 07:37:33

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

Bonjour

Aujourd'hui faudra bien mettre en place ce kernel 2.6.8 mais quel code faut t'il utiliser pour le remplacer, et de plus il ne faut surtout pas oublier les vserver tongue

Hors ligne

#95 16-12-2010 10:18:57

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

Bon je vou donne la suite

Apres un dist-upgrade sur ce bon vieu sarge voila ce qu'on obtien tongue

# cat /etc/debian_version
4.0


Mais oui mais oui j'ai bien vue une 4.0 lool

Petit deception sur le noyau par contre toujours sous la 2.6.12 d'apres Fran.B cela ne poser pas probleme de faire un dist-upgrade par dessus.

Mais il m'a aussi diit qu'il que ce kernel passerais au 2.6.18 mais rien n'y fait ! neutral

Hors ligne

#96 16-12-2010 11:32:23

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Mise a jour d'un serveur debian 3.1

Tout ce post est bien haletant !

Amitié, Jojo wink

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#97 16-12-2010 12:56:18

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : Mise a jour d'un serveur debian 3.1

Tchop!

deamon974 a écrit :

Bon je vou donne la suite

Apres un dist-upgrade sur ce bon vieu sarge voila ce qu'on obtien tongue

# cat /etc/debian_version
4.0


Mais oui mais oui j'ai bien vue une 4.0 lool


Ha, ça avance bien je vois.

deamon974 a écrit :

Petit deception sur le noyau par contre toujours sous la 2.6.12 d'apres Fran.B cela ne poser pas probleme de faire un dist-upgrade par dessus.


Fait bien attention de reinstaller les paquets enlevés plus haut (  base-config libnewt0.51 netkit-inetd ntp-server udev )
Si tu regarde bien ( en t'aidant de l'autocomplétion = La touche 'Tab'), tu devrais trouver un noyau 2.6.15:

deamon974 a écrit :

# apt-get -s dist-upgrade
[ .... ]
155 upgraded, 48 newly installed, 5 to remove and 1 not upgraded.
Remv base-config (2.53.10.3 )
Remv initrd-tools (0.1.84.2 Debian:4.0r9/oldstable) [kernel-image-2.6.8-2-386 kernel-image-2.6.12+vserver kernel-image-2.6.15+vserver ]


Le programme 'apt-cache policy' peut t'aider a trouver le nom complet ( en s'aidant de la touche 'tab').
Quand tu l'as trouvé tu l'installe "normalement" apt-get install kernel-image-2.6.15+vserver-n°-ARCH.

Vérifie bien que les paquets qui ont posés problèmes plus haut ( depuis le début en fait )sont bien passé en Etch eux aussi.
Ca ne coute rien de refaire un dist-upgrade. Go smile

deamon974 a écrit :

Mais il m'a aussi diit qu'il que ce kernel passerais au 2.6.18 mais rien n'y fait ! neutral


Une fois que tout sera bien à jour, ça le fera.


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#98 16-12-2010 14:26:36

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

Bon je vous donne les cache policy sur les différents paquets supprimer.

# apt-cache policy libnewt0.51
libnewt0.51:
  Installed: (none)
  Candidate: 0.51.6-20
  Version table:
     0.51.6-20 0
        990 http://archive.debian.org sarge/main Packages
        100 /var/lib/dpkg/status
tice-vserver:/vservers# apt-cache policy netkit-inetd
netkit-inetd:
  Installed: (none)
  Candidate: 0.10-10
  Version table:
     0.10-10 0
        990 http://archive.debian.org sarge/main Packages
        100 /var/lib/dpkg/status
tice-vserver:/vservers# apt-cache policy ntp-server
ntp-server:
  Installed: (none)
  Candidate: 1:4.2.0a+stable-2sarge1
  Version table:
     1:4.2.0a+stable-2sarge1 0
        990 http://archive.debian.org sarge/main Packages
        100 /var/lib/dpkg/status
tice-vserver:/vservers# apt-cache policy udev
udev:
  Installed: 0.105-4etch1
  Candidate: 0.105-4etch1
  Version table:
 *** 0.105-4etch1 0
        990 http://archive.debian.org etch/main Packages
        100 /var/lib/dpkg/status
     0.056-3 0
        990 http://archive.debian.org sarge/main Packages


Malgres qu'on trouve ces paquets essentiellement dans les sources de sarge, faut t'il vraiment que je les installes ?

Hors ligne

#99 16-12-2010 14:52:12

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : Mise a jour d'un serveur debian 3.1

deamon974 a écrit :

Malgré qu'on trouve ces paquets essentiellement dans les sources de sarge, faut t'il vraiment que je les installes ?


C'est qu'ils n'existent plus smile 'Te fatigue pas avec.


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#100 17-12-2010 09:22:33

deamon974
Membre
Inscription : 08-12-2010

Re : Mise a jour d'un serveur debian 3.1

Quels verification je pourrais faire pour bien vérifier que tout fonctionne bien ?

Hors ligne

Pied de page des forums